h45795
s 00051/00000/00000
d D 1.1 83/01/20 11:09:31 tes 1 0
c date and time created 83/01/20 11:09:31 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine clrdta (start)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Clear the display data area with underline character   #
#                                                                      #
#     Input Parameters:                                                #
#            start - item number to begin clear                        #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            qtext - output text string at given location              #
#                                                                      #
########################################################################
integer start

integer i, j, k, kount, row, column, length
SHORTINT c

include(`mnucom')

data c /UNDERLINE/

   i = 1
   kount = 1
   while (dtabfr(i) != 0) {
      row = dtabfr(i+1)
      column = dtabfr(i+2)
      length = dtabfr(i+3)
      if (kount >= start) {
	 k = i + 5
	 do j=1, length {
	    dtabfr(k) = c
	    k = k + 1
	    }
	 }
      i = i + dtabfr(i)
      kount = kount + 1
      }

return
end
E 1
